import {WeaTools} from 'ecCom';

export const getTriggerList = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerList', 'POST', params);
};
export const getTriggerRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerRightMenu', 'POST', params);
};
export const getTriggerCondition = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerCondition', 'POST', params);
};
export const getTriggerIntervalSetForm = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerIntervalSetForm', 'POST', params);
};
export const getTriggerAddForm = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerAddForm', 'POST', params);
};
export const getTriggerEditDetailForm = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerEditDetailForm', 'POST', params);
};
export const getTriggerOperation = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerOperation', 'POST', params);
};
export const getTriggerTest = params => {
    return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerTest', 'POST', params);
};
export const getTriggerCheckWorkflowForm = params => {
  return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerCheckWorkflowForm', 'POST', params);
};
export const getTriggerLogList = params => {
  return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerLogList', 'POST', params);
};
export const getTriggerLogRightMenu = params => {
  return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerLogRightMenu', 'POST', params);
};
export const getTriggerLogCondition = params => {
  return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerLogCondition', 'POST', params);
};
export const getTriggerResetFormFieldMapping = params => {
  return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerResetFormFieldMapping', 'POST', params);
};
export const getTriggerEditDetailAttachmentSetForm = params => {
  return WeaTools.callApi('/api/integration/workflowtrigger/getTriggerEditDetailAttachmentSetForm', 'POST', params);
};
